<project xmlns="http://maven.apache.org/POM/4.0.0"
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
   <modelVersion>4.0.0</modelVersion>
   <groupId>winner-java</groupId>
   <artifactId>winner-java</artifactId>
   <version>2.1.1</version>
   <build>
      <plugins>
         <plugin>
            <artifactId>maven-compiler-plugin</artifactId>
            <version>3.8.0</version>
            <configuration>
               <source>1.8</source>
               <target>1.8</target>
            </configuration>
         </plugin>

	 <plugin>
           <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-shade-plugin</artifactId>
           <version>3.2.0</version>
           <executions>
             <!-- Attach the shade goal into the package phase -->
             <execution>
               <phase>package</phase>
               <goals>
		 <goal>shade</goal>
               </goals>
             </execution>
           </executions>
           <configuration>
             <createDependencyReducedPom>false</createDependencyReducedPom>
             <filters>
               <filter>
		 <artifact>*:*</artifact>
		 <excludes>
                   <exclude>META-INF/*.SF</exclude>
                   <exclude>META-INF/*.DSA</exclude>
                   <exclude>META-INF/*.RSA</exclude>
		 </excludes>
               </filter>
             </filters>
           </configuration>
	 </plugin>
          <plugin>
              <artifactId>maven-jar-plugin</artifactId>
              <configuration>
                  <archive>
                      <manifest>
                          <mainClass>org.example.ClientApp</mainClass>
                      </manifest>
                  </archive>
              </configuration>
          </plugin>

      </plugins>
   </build>
   <repositories>
      <repository>
         <id>oss-sonatype</id>
         <name>OSS Sonatype</name>
         <url>https://oss.sonatype.org/content/repositories/snapshots</url>
      </repository>
   </repositories>
   <dependencies>
      <dependency>
         <groupId>org.hyperledger.fabric</groupId>
         <artifactId>fabric-gateway-java</artifactId>
         <version>2.1.1</version>
      </dependency>
      <dependency>
         <groupId>org.junit.platform</groupId>
         <artifactId>junit-platform-launcher</artifactId>
         <version>1.4.2</version>
      </dependency>
      <dependency>
         <groupId>org.junit.jupiter</groupId>
         <artifactId>junit-jupiter-engine</artifactId>
         <version>5.4.1</version>
         <scope>test</scope>
      </dependency>
      <dependency>
         <groupId>org.junit.vintage</groupId>
         <artifactId>junit-vintage-engine</artifactId>
         <version>5.4.2</version>
      </dependency>
      <dependency>
         <groupId>org.assertj</groupId>
         <artifactId>assertj-core</artifactId>
         <version>3.12.2</version>
         <scope>test</scope>
      </dependency>
      <dependency>
         <groupId>org.json</groupId>
         <artifactId>json</artifactId>
         <version>20180130</version>
       </dependency>
       <dependency>
           <groupId>org.mortbay.jetty</groupId>
           <artifactId>jetty-util</artifactId>
           <version>6.1.25</version>
       </dependency>
       <dependency>
           <groupId>org.eclipse.paho</groupId>
           <artifactId>org.eclipse.paho.client.mqttv3</artifactId>
           <version>1.2.5</version>
       </dependency>
   </dependencies>
</project>
